com.tibbo.aggregate.common.context

## Class FunctionData

- java.lang.Object
- - com.tibbo.aggregate.common.context.FunctionData

- All Implemented Interfaces:
    java.lang.Comparable<FunctionData>

      public class FunctionData
      extends java.lang.Object
      implements java.lang.Comparable<FunctionData>

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `FunctionData(FunctionDefinition definition)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `compareTo(FunctionData d)`
    `FunctionDefinition` | `getDefinition()`
    `long` | `getExecutionCount()`
    `java.util.concurrent.locks.ReentrantLock` | `getExecutionLock()`
    `java.lang.reflect.Method` | `getImplementationMethod()`
    `boolean` | `isImplementationCached()`
    `void` | `registerExecution()`
    `void` | `setDefinition(FunctionDefinition definition)`
    `void` | `setImplementationCached(boolean implementationCached)`
    `void` | `setImplementationMethod(java.lang.reflect.Method implementationMethod)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### FunctionData

          public FunctionData(FunctionDefinition definition)

  - ### Method Detail

    - #### registerExecution

          public void registerExecution()

    - #### getDefinition

          public FunctionDefinition getDefinition()

    - #### getExecutionLock

          public java.util.concurrent.locks.ReentrantLock getExecutionLock()

    - #### getExecutionCount

          public long getExecutionCount()

    - #### isImplementationCached

          public boolean isImplementationCached()

    - #### setImplementationCached

          public void setImplementationCached(boolean implementationCached)

    - #### getImplementationMethod

          public java.lang.reflect.Method getImplementationMethod()

    - #### setImplementationMethod

          public void setImplementationMethod(java.lang.reflect.Method implementationMethod)

    - #### compareTo

          public int compareTo(FunctionData d)

      Specified by:
        `compareTo` in interface `java.lang.Comparable<FunctionData>`

    - #### setDefinition

          public void setDefinition(FunctionDefinition definition)